Skip to content

Re-apply stored switch network configuration

POST
/network/switch/sync
curl --request POST \
--url https://sylve.lan:8181/api/network/switch/sync \
--header 'Authorization: <Authorization>'

Reconcile standard switches and Host IP configuration with bounded retries. Does not replay bootstrap settings or roll back pending Host IP edits.

OK

Media typeapplication/json
object
data
object
bootstrap
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
runtime
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"bootstrap": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
},
"runtime": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Conflict

Media typeapplication/json
object
data
object
bootstrap
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
runtime
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"bootstrap": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
},
"runtime": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
object
bootstrap
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
runtime
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"bootstrap": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
},
"runtime": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}